Subject: [bug#77090] Patch to add linux-libre mnt/reform variant

From: Vagrant Cascadian <[email-masked]>
Date: Sun, 23 Mar 2025 09:48:27 -0700

On 2025-03-23, pelzflorian (Florian Pelz) wrote:
> Vagrant Cascadian <[email-masked]> writes:
>> Working on submitting the issue upstream...
>
> Thank you; if you include this license header you made upstream include
> (commit
> <https://source.mnt.re/reform/reform-debian-packages/-/commit/af0a461d38e13481323f061d9ff6827d1d13873b>),
> it LGTM.  Please push.

Will in the new upstream version that includes the licensing
clarification, for, well... clarity!

If I understood correctly, you suggested to have
SPDX-License-Identifier: MIT be be represented as license:x11, so that
should already be present in the license field.

> Although I cannot judge your style of
> customizing linux-libre and configuration, but style could be altered
> later.

Fair!

> I also have not tested the new v3 kernel, because I have no MNT Reform
> and its devicetree, kernel features do nothing for my Orange Pi anyway.
> Though its patches might serve as inspiration for fixing devicetree.

Understood! I have tested it on at least the MNT/Reform rk3588, and this
should make it easier for others to attempt on other MNT/Reform
platforms, which it is always easier to provide small patches than test
the whole thing.

> Further:
>
>> +              (license:fsf-free "file://filter-output" "# SPDX-License-Identifier: FSFAP
>> +# Copying and distribution of this file, with or without modification, are
>> +# permitted in any medium without royalty provided the copyright notice and
>> +# this notice are preserved. This file is offered as-is, without any warranty.")
>
> When I git grep for license:fsf-free, others do not include the license
> in a comment.  But I do not know more.

I included the reasonably short "full" text in the comment just to be
clear. It looks like this license comes from gnu.org:

  https://www.gnu.org/prep/maintain/html_node/License-Notices-for-Other-Files.html

And is documented at spdx.org as the "FSF All Permissive License":

  https://spdx.org/licenses/FSFAP.html

Maybe including a link to the gnu.org URL (and/or spdx.org) in the
comment would still be very clear, without triggering the overly long
comment feeling. :)

I think I will include the gnu.org link. We can always improve upon it
later if needed.

Seems like file://filter-output needs to stay, as that includes the
reference to the actual source where the license is declared.

live well,
  vagrant